EnTT: entt::meta_associative_container_traits< dense_set< Args... > > Struct Template Reference

EnTT 3.15.0

Loading...
Searching...
No Matches
List of all members
entt::meta_associative_container_traits< dense_set< Args... > > Struct Template Reference

Meta associative container traits for `dense_set`s of any type. More...

`#include <container.hpp>`

Inheritance diagram for entt::meta_associative_container_traits< dense_set< Args... > >:
[legend]
Collaboration diagram for entt::meta_associative_container_traits< dense_set< Args... > >:
[legend]

## Additional Inherited Members
Public Types inherited from entt::basic_meta_associative_container_traits< dense_set< Args... > >
using | size_type
| Unsigned integer type.
using | iterator
| Meta iterator type.
Static Public Member Functions inherited from entt::basic_meta_associative_container_traits< dense_set< Args... > >
static size_type | size (const void *container)
| Returns the number of elements in a container.
static bool | clear (void *container)
| Clears a container.
static bool | reserve (void *container, const size_type sz)
| Increases the capacity of a container.
static iterator | begin (const meta_ctx &area, void *container, const void *as_const)
| Returns a possibly const iterator to the beginning.
static iterator | end (const meta_ctx &area, void *container, const void *as_const)
| Returns a possibly const iterator to the end.
static bool | insert (void *container, const void *key, const void *value)
| Inserts an element into a container, if the key does not exist.
static size_type | erase (void *container, const void *key)
| Removes an element from a container.
static iterator | find (const meta_ctx &area, void *container, const void *as_const, const void *key)
| Finds an element with a given key.
Static Public Attributes inherited from entt::basic_meta_associative_container_traits< dense_set< Args... > >
static constexpr bool | key_only
| True in case of key-only containers, false otherwise.

## Detailed Description

template<typename... Args>
struct entt::meta_associative_container_traits< dense_set< Args... > >

Meta associative container traits for `dense_set`s of any type.

Template Parameters

  Args | Template arguments for the container.

Definition at line 383 of file container.hpp.

The documentation for this struct was generated from the following file:

- src/entt/meta/container.hpp